import { AbstractControl, ValidationErrors } from "@angular/forms";


export function integerValidator(control: AbstractControl): ValidationErrors | null {
  const value = control.value;

  if (!value)
    return null;

  const matches = (value | 0) == value;
  return matches ? null : { integer: true };
}